NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.Features.ShipDesign.PenetrationCutoutBuilder Class Reference

Represents a NXOpen.Features.ShipDesign.PenetrationRequest builder More...

Inheritance diagram for NXOpen.Features.ShipDesign.PenetrationCutoutBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe void AddNonIntersectedStructure (NXOpen.Body structure)
 Adds nonintersected structures More...
 
unsafe void RemoveNonIntersectedStructures ()
 Removes all nonintersected structures More...
 
unsafe void SetDialogType (NXOpen.Features.ShipDesign.PenetrationRequestBuilder.RequestDialogType dialogType)
 Set the dialog type More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Expression CornerRadius [get]
 Returns the corner radius expression More...
 
unsafe
NXOpen.Features.ShipDesign.PenetrationRequest.CoutoutType 
CoutoutType [get, set]
 Returns or sets the coutout type More...
 
unsafe NXOpen.Expression Diameter [get]
 Returns the diameter expression More...
 
unsafe
NXOpen.Features.ShipDesign.PenetrationRequest.DirectionType 
DirectionType [get, set]
 Returns or sets the direction type More...
 
unsafe NXOpen.Expression Height [get]
 Returns the height expression More...
 
unsafe string HoleSubType [get, set]
 Returns or sets the hole sub-type More...
 
unsafe string HoleType [get, set]
 Returns or sets the hole type More...
 
unsafe NXOpen.Direction HorizontalDirection [get, set]
 Returns or sets the horizontal direction More...
 
unsafe NXOpen.Sketch ModifiedSketch [get, set]
 Returns or sets the modified sketch More...
 
unsafe NXOpen.Expression Offset [get]
 Returns the offset expression More...
 
unsafe NXOpen.Direction Orientation [get, set]
 Returns or sets the orientation More...
 
unsafe NXOpen.Expression Radius [get]
 Returns the radius expression More...
 
unsafe NXOpen.Section Sketch [get]
 Returns the sketch More...
 
unsafe NXOpen.Expression Width [get]
 Returns the width expression More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.ShipDesign.PenetrationRequest builder

To create a new instance of this class, use NXOpen.Features.ShipDesign.PenetrationRequestCollection.CreatePenetrationCutoutBuilder

Default values.

Property Value

CornerRadius.Value

0

CoutoutType

Circular

Diameter.Value

0

DirectionType

PerpendiculartoStructure

Height.Value

0

Offset.Value

0

Radius.Value

0

Width.Value

0

Created in NX8.0.0

Member Function Documentation

unsafe void NXOpen.Features.ShipDesign.PenetrationCutoutBuilder.AddNonIntersectedStructure ( NXOpen.Body  structure)
inline

Adds nonintersected structures

Created in NX8.5.0

License requirements: nx_penetration_mgmt ("Penetration Management")

Parameters
structure
unsafe void NXOpen.Features.ShipDesign.PenetrationCutoutBuilder.RemoveNonIntersectedStructures ( )
inline

Removes all nonintersected structures

Created in NX8.5.0

License requirements: nx_penetration_mgmt ("Penetration Management")

unsafe void NXOpen.Features.ShipDesign.PenetrationCutoutBuilder.SetDialogType ( NXOpen.Features.ShipDesign.PenetrationRequestBuilder.RequestDialogType  dialogType)
inline

Set the dialog type

Created in NX8.5.0

License requirements: nx_penetration_mgmt ("Penetration Management")

Parameters
dialogType

Property Documentation

unsafe NXOpen.Expression NXOpen.Features.ShipDesign.PenetrationCutoutBuilder.CornerRadius
get

Returns the corner radius expression

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Features.ShipDesign.PenetrationRequest.CoutoutType NXOpen.Features.ShipDesign.PenetrationCutoutBuilder.CoutoutType
getset

Returns or sets the coutout type

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_penetration_mgmt ("Penetration Management")

unsafe NXOpen.Expression NXOpen.Features.ShipDesign.PenetrationCutoutBuilder.Diameter
get

Returns the diameter expression

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Features.ShipDesign.PenetrationRequest.DirectionType NXOpen.Features.ShipDesign.PenetrationCutoutBuilder.DirectionType
getset

Returns or sets the direction type

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_penetration_mgmt ("Penetration Management")

unsafe NXOpen.Expression NXOpen.Features.ShipDesign.PenetrationCutoutBuilder.Height
get

Returns the height expression

Created in NX8.0.0

License requirements: None.

unsafe string NXOpen.Features.ShipDesign.PenetrationCutoutBuilder.HoleSubType
getset

Returns or sets the hole sub-type

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: nx_penetration_mgmt ("Penetration Management")

unsafe string NXOpen.Features.ShipDesign.PenetrationCutoutBuilder.HoleType
getset

Returns or sets the hole type

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: nx_penetration_mgmt ("Penetration Management")

unsafe NXOpen.Direction NXOpen.Features.ShipDesign.PenetrationCutoutBuilder.HorizontalDirection
getset

Returns or sets the horizontal direction

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_penetration_mgmt ("Penetration Management")

unsafe NXOpen.Sketch NXOpen.Features.ShipDesign.PenetrationCutoutBuilder.ModifiedSketch
getset

Returns or sets the modified sketch

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: nx_penetration_mgmt ("Penetration Management")

unsafe NXOpen.Expression NXOpen.Features.ShipDesign.PenetrationCutoutBuilder.Offset
get

Returns the offset expression

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Direction NXOpen.Features.ShipDesign.PenetrationCutoutBuilder.Orientation
getset

Returns or sets the orientation

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_penetration_mgmt ("Penetration Management")

unsafe NXOpen.Expression NXOpen.Features.ShipDesign.PenetrationCutoutBuilder.Radius
get

Returns the radius expression

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Features.ShipDesign.PenetrationCutoutBuilder.Sketch
get

Returns the sketch

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.ShipDesign.PenetrationCutoutBuilder.Width
get

Returns the width expression

Created in NX8.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.